| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Image
Image.BMP

# Method Image.BMP.decode_header()

Method decode_header

  `object decode(string data)`
  `mapping _decode(string data)`
  `mapping decode_header(string data)`
  `object decode(string data, mapping options)`
  `mapping _decode(string data, mapping options)`
  `mapping decode_header(string data, mapping options)`

Description

  Decode a BMP.

  decode gives an image object, _decode gives a mapping in the format

              "type":"image/x-MS-bmp",
              "image":image object,
              "colortable":colortable object (if applicable)

              "xsize":int,
              "ysize":int,
              "compression":int,
              "bpp":int,
              "windows":int,

Returns

  the encoded image as a string

Bugs

  Doesn't support all BMP modes. At all.

See also

  encode